Subject: Re: Hardlink behavoir?
From: Frank-Michael Moser <[email-masked]>
To: [email-masked]
Date: Thu, 12 Sep 2002 20:44:10 +0200

There is a native command on WinXP (2000, NT?) to create hardlinks:

fsutil hardlink create /?
Syntax : fsutil hardlink create <neuer Dateinname> <vorhandener Dateiname>
   z.B. : fsutil hardlink create c:\foo.txt c:\bar.txt

After once a hardlink is created with Win's fsutil or with Cygwin's ln I 
found no means to decide which one originally did create it. So I guess 
that Cygwin-hardlinks should work fine for native Win-applications too.

Frank-Michael

Eric D Crahen wrote:
> Hardlinks on NTFS work great when you are using them only from within the
> cygwin environment. What happens when I modify one of the hardlinked files
> from outside cygwin. For example, if I execute 'ln MyDocument.doc
> MyLinkedDocument.doc' and then were to edit one of the files in Word or
> some other non-cygwin app.
> 
> - Eric
> http://www.cse.buffalo.edu/~crahen
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 
------------------------------------------------------------
DECODON GmbH                        phone: +49(0)3834 515231
W.-Rathenau-Str. 49a                  fax: +49(0)3834 515239
17489 Greifswald                    email: [email-masked]
Germany                               web:   www.decodon.com
------------------------------------------------------------

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/